aboutsummaryrefslogtreecommitdiffstats
path: root/test/suite-wslua.sh
diff options
context:
space:
mode:
authorHadriel Kaplan <hadrielk@yahoo.com>2015-07-23 21:09:12 -0400
committerHadriel Kaplan <hadrielk@yahoo.com>2015-07-24 01:10:34 +0000
commit963b0c919e8dbe34dfedc30ee5d6f712e11ff558 (patch)
tree3adeab8473a5c0c4fa50474fcf2e26a0886f8464 /test/suite-wslua.sh
parentd2828a35985bd713d7b9b014d0d55bb322c0721f (diff)
Lua: add the 1.12.x Lua API to the globals verification test suite
Change-Id: I698fc75dc915ea007b2f7762f0041dbb6dd1d8d3 Reviewed-on: https://code.wireshark.org/review/9764 Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
Diffstat (limited to 'test/suite-wslua.sh')
-rwxr-xr-xtest/suite-wslua.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/test/suite-wslua.sh b/test/suite-wslua.sh
index 8608c2a0e6..f5b61fdd82 100755
--- a/test/suite-wslua.sh
+++ b/test/suite-wslua.sh
@@ -408,6 +408,12 @@ wslua_step_globals_test() {
cat testout.txt
test_step_failed "lua_globals_test test 2 failed"
fi
+ $TSHARK -r $CAPTURE_DIR/empty.pcap -X lua_script:$TESTS_DIR/lua/verify_globals.lua -X lua_script1:$TESTS_DIR/lua/ -X lua_script1:$TESTS_DIR/lua/globals_1.12.txt > testout.txt 2>&1
+ grep -q "All tests passed!" testout.txt
+ if [ $? -ne 0 ]; then
+ cat testout.txt
+ test_step_failed "lua_globals_test test 2 failed"
+ fi
test_step_ok
}